Debian Bug report logs - #561578
system: Unknown Object Identifier (Sub-id not found: (top) -> system)

version graph

Package: libsnmp-base; Maintainer for libsnmp-base is Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>; Source for libsnmp-base is src:net-snmp.

Reported by: Bruno Condez <condez@gmail.com>

Date: Fri, 18 Dec 2009 11:45:02 UTC

Severity: normal

Tags: jessie, sid, wheezy, wontfix

Merged with 581007

Found in version net-snmp/5.4.2.1~dfsg-5

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Fri, 18 Dec 2009 11:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bruno Condez <condez@gmail.com>:
New Bug report received and forwarded. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Fri, 18 Dec 2009 11:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bruno Condez <condez@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Fri, 18 Dec 2009 11:44:19 +0000
[Message part 1 (text/plain, inline)]
Package: libsnmp-base
Version: 5.4.2.1~dfsg-5
Severity: grave
Justification: renders package unusable


Hi,

When trying to get data from snmpd, i get the following error:

snmpwalk -v 2c -c public 127.0.0.1 system
system: Unknown Object Identifier (Sub-id not found: (top) -> system)

snmpwalk -v 2c -c public 127.0.0.1 interfaces
interfaces: Unknown Object Identifier (Sub-id not found: (top) -> interfaces)

snmpwalk -m ALL -v 2c -c public 127.0.0.1 system                                                                                            
Cannot find module (SNMPv2-TC): At line 15 in /usr/share/mibs/netsnmp/UCD-DISKIO-MIB                                                                                               
Cannot find module (SNMPv2-SMI): At line 34 in /usr/share/mibs/netsnmp/UCD-SNMP-MIB                                                                                                
Cannot find module (SNMPv2-TC): At line 37 in /usr/share/mibs/netsnmp/UCD-SNMP-MIB                                                                                                 
Did not find 'enterprises' in module #-1 (/usr/share/mibs/netsnmp/UCD-SNMP-MIB)                                                                                                    
Did not find 'DisplayString' in module #-1 (/usr/share/mibs/netsnmp/UCD-SNMP-MIB)                                                                                                  
Did not find 'TruthValue' in module #-1 (/usr/share/mibs/netsnmp/UCD-SNMP-MIB)                                                                                                     
Unlinked OID in UCD-SNMP-MIB: ucdavis ::= { enterprises 2021 }                                                                                                                     
Undefined identifier: enterprises near line 39 of /usr/share/mibs/netsnmp/UCD-SNMP-MIB                                                                                             
Did not find 'DisplayString' in module #-1 (/usr/share/mibs/netsnmp/UCD-DISKIO-MIB)                                                                                                
Did not find 'ucdExperimental' in module UCD-SNMP-MIB (/usr/share/mibs/netsnmp/UCD-DISKIO-MIB)                                                                                     
Unlinked OID in UCD-DISKIO-MIB: ucdDiskIOMIB ::= { ucdExperimental 15 }                                                                                                            
Undefined identifier: ucdExperimental near line 19 of /usr/share/mibs/netsnmp/UCD-DISKIO-MIB                                                                                       
Cannot find module (SNMPv2-SMI): At line 8 in /usr/share/mibs/netsnmp/NET-SNMP-MIB                                                                                                 
Did not find 'enterprises' in module #-1 (/usr/share/mibs/netsnmp/NET-SNMP-MIB)                                                                                                    
Unlinked OID in NET-SNMP-MIB: netSnmp ::= { enterprises 8072 }                             

(a lot more errors are printed due to the above command; i'm only puting here the first 15 lines)


If i specify the OID shipped by default in snmpd.conf, i get data back:

snmpwalk -v 2c -c public 127.0.0.1 .1.3.6.1.2.1.1
iso.3.6.1.2.1.1.1.0 = STRING: "Linux daedalus 2.6.31-1-686 #1 SMP Sun Nov 15 20:39:33 UTC 2009 i686"
iso.3.6.1.2.1.1.2.0 = OID: iso.3.6.1.4.1.8072.3.2.10
iso.3.6.1.2.1.1.3.0 = Timeticks: (173714) 0:28:57.14
iso.3.6.1.2.1.1.4.0 = STRING: "Root <root@localhost> (configure /etc/snmp/snmpd.local.conf)"
iso.3.6.1.2.1.1.5.0 = STRING: "daedalus"
iso.3.6.1.2.1.1.6.0 = STRING: "Unknown (configure /etc/snmp/snmpd.local.conf)"
iso.3.6.1.2.1.1.8.0 = Timeticks: (4) 0:00:00.04
iso.3.6.1.2.1.1.9.1.2.1 = OID: iso.3.6.1.6.3.10.3.1.1
iso.3.6.1.2.1.1.9.1.2.2 = OID: iso.3.6.1.6.3.11.3.1.1
iso.3.6.1.2.1.1.9.1.2.3 = OID: iso.3.6.1.6.3.15.2.1.1
iso.3.6.1.2.1.1.9.1.2.4 = OID: iso.3.6.1.6.3.1
iso.3.6.1.2.1.1.9.1.2.5 = OID: iso.3.6.1.2.1.49
iso.3.6.1.2.1.1.9.1.2.6 = OID: iso.3.6.1.2.1.4
iso.3.6.1.2.1.1.9.1.2.7 = OID: iso.3.6.1.2.1.50
iso.3.6.1.2.1.1.9.1.2.8 = OID: iso.3.6.1.6.3.16.2.2.1
iso.3.6.1.2.1.1.9.1.3.1 = STRING: "The SNMP Management Architecture MIB."
iso.3.6.1.2.1.1.9.1.3.2 = STRING: "The MIB for Message Processing and Dispatching."
iso.3.6.1.2.1.1.9.1.3.3 = STRING: "The management information definitions for the SNMP User-based Security Model."
iso.3.6.1.2.1.1.9.1.3.4 = STRING: "The MIB module for SNMPv2 entities"
iso.3.6.1.2.1.1.9.1.3.5 = STRING: "The MIB module for managing TCP implementations"
iso.3.6.1.2.1.1.9.1.3.6 = STRING: "The MIB module for managing IP and ICMP implementations"
iso.3.6.1.2.1.1.9.1.3.7 = STRING: "The MIB module for managing UDP implementations"
iso.3.6.1.2.1.1.9.1.3.8 = STRING: "View-based Access Control Model for SNMP."
iso.3.6.1.2.1.1.9.1.4.1 = Timeticks: (3) 0:00:00.03
iso.3.6.1.2.1.1.9.1.4.2 = Timeticks: (3) 0:00:00.03
iso.3.6.1.2.1.1.9.1.4.3 = Timeticks: (3) 0:00:00.03
iso.3.6.1.2.1.1.9.1.4.4 = Timeticks: (4) 0:00:00.04
iso.3.6.1.2.1.1.9.1.4.5 = Timeticks: (4) 0:00:00.04
iso.3.6.1.2.1.1.9.1.4.6 = Timeticks: (4) 0:00:00.04
iso.3.6.1.2.1.1.9.1.4.7 = Timeticks: (4) 0:00:00.04
iso.3.6.1.2.1.1.9.1.4.8 = Timeticks: (4) 0:00:00.04



aptitude search snmp | grep ^i
i   libnet-snmp-perl                - Script SNMP connections
i   libsnmp-base                    - SNMP (Simple Network Management Protocol)
i   libsnmp-dev                     - SNMP (Simple Network Management Protocol)
i   libsnmp-info-perl               - Object Oriented Perl5 Interface to Network
i   libsnmp-perl                    - SNMP (Simple Network Management Protocol)
i   libsnmp15                       - SNMP (Simple Network Management Protocol)
i   snmp                            - SNMP (Simple Network Management Protocol)
i   snmpd                           - SNMP (Simple Network Management Protocol)



ls -ltrh /usr/share/mibs/netsnmp/
total 148K
-rw-r--r-- 1 root root 4.4K Dec 15 15:47 NET-SNMP-TC
-rw-r--r-- 1 root root 2.0K Dec 15 15:47 NET-SNMP-MIB
-rw-r--r-- 1 root root 9.0K Dec 15 15:47 NET-SNMP-EXTEND-MIB
-rw-r--r-- 1 root root 9.0K Dec 15 15:47 NET-SNMP-EXAMPLES-MIB
-rw-r--r-- 1 root root  16K Dec 15 15:47 NET-SNMP-AGENT-MIB
-rw-r--r-- 1 root root 5.0K Dec 15 15:47 NET-SNMP-VACM-MIB
-rw-r--r-- 1 root root 1.2K Dec 15 15:47 NET-SNMP-SYSTEM-MIB
-rw-r--r-- 1 root root 1.2K Dec 15 15:47 NET-SNMP-MONITOR-MIB
-rw-r--r-- 1 root root  44K Dec 15 15:47 UCD-SNMP-MIB
-rw-r--r-- 1 root root 8.0K Dec 15 15:47 UCD-IPFWACC-MIB
-rw-r--r-- 1 root root 2.2K Dec 15 15:47 UCD-DEMO-MIB
-rw-r--r-- 1 root root 3.0K Dec 15 15:47 UCD-DLMOD-MIB
-rw-r--r-- 1 root root 4.3K Dec 15 15:47 UCD-DISKIO-MIB
-rw-r--r-- 1 root root 1.9K Dec 15 15:47 GNOME-SMI
-rw-r--r-- 1 root root 5.8K Dec 15 15:47 LM-SENSORS-MIB


cat /usr/share/mibs/netsnmp/.index
UCD-SNMP-MIB UCD-SNMP-MIB
LM-SENSORS-MIB LM-SENSORS-MIB
UCD-DEMO-MIB UCD-DEMO-MIB
NET-SNMP-MIB NET-SNMP-MIB
NET-SNMP-SYSTEM-MIB NET-SNMP-SYSTEM-MIB
NET-SNMP-VACM-MIB NET-SNMP-VACM-MIB
NET-SNMP-EXTEND-MIB NET-SNMP-EXTEND-MIB
NET-SNMP-TC NET-SNMP-TC
NET-SNMP-AGENT-MIB NET-SNMP-AGENT-MIB
NET-SNMP-EXAMPLES-MIB NET-SNMP-EXAMPLES-MIB
GNOME-SMI GNOME-SMI
UCD-DLMOD-MIB UCD-DLMOD-MIB
UCD-IPFWACC-MIB UCD-IPFWACC-MIB
NET-SNMP-MONITOR-MIB NET-SNMP-MONITOR-MIB
UCD-DISKIO-MIB UCD-DISKIO-MIB



I've been running snmpd without any issues for a few months.
Suddenly, snmpd stopped working. I haven't made any changes to the system

I can only assume, one of the daily "aptitude full-upgrade" i run broke snmpd.
Can't say exactly when this happened, but more or less during the last month.

I'm providing "snmpd.conf" attached to this bug report.



Thanks,
Bruno Condez




-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_IE.UTF-8, LC_CTYPE=en_IE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

libsnmp-base depends on no packages.

libsnmp-base recommends no packages.

Versions of packages libsnmp-base suggests:
pn  snmp-mibs-downloader          <none>     (no description available)

-- no debconf information
[snmpd.conf (text/plain, attachment)]

Severity set to 'normal' from 'grave' Request was from Jochen Friedrich <jochen@scram.de> to control@bugs.debian.org. (Fri, 18 Dec 2009 12:15:18 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Jochen Friedrich <jochen@scram.de> to control@bugs.debian.org. (Fri, 18 Dec 2009 12:15:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Fri, 18 Dec 2009 12:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Fri, 18 Dec 2009 12:33:12 GMT) Full text and rfc822 format available.

Message #14 received at 561578@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: Bruno Condez <condez@gmail.com>, 561578@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#561578: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Fri, 18 Dec 2009 13:07:23 +0100
severity 561578 normal
tags 561578 +wontfix
thanks

Hi Bruno,


> When trying to get data from snmpd, i get the following error:
> 
> snmpwalk -v 2c -c public 127.0.0.1 system
> system: Unknown Object Identifier (Sub-id not found: (top) -> system)

as the identifiers "system" or "interfaces" are defined in non-free MIB files only (See Bug 
#498475), this is intentional. You could still use the numeric OIDs though (system would be 
.1.3.6.1.2.1.1). If you need the MIB files for your own scripts, you would have to install the 
upcoming mib-snmp-downloader package which will probably enter non-free. If any package in Debian 
needs the MIBs to operate correctly, it will have to leave main in favour of contrib.

Thanks,
Jochen




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Fri, 18 Dec 2009 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bruno Condez <condez@gmail.com>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Fri, 18 Dec 2009 12:42:03 GMT) Full text and rfc822 format available.

Message #19 received at 561578@bugs.debian.org (full text, mbox):

From: Bruno Condez <condez@gmail.com>
To: Jochen Friedrich <jochen@scram.de>
Cc: 561578@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#561578: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Fri, 18 Dec 2009 12:38:42 +0000
Hi Jochen,

Thanks for the quick update on the bug report.


I can't see "mib-snmp-downloader" on the ftp archive.

Do you have a proposed data for when that package will become available?
Or, is there an unofficial version of that package i can use to get the MIB's?

The package i gave, as an exmaple, that's broken due to the snmpd issue, is not in the debian repos.
I'm assuming, all your packages are already confirming with this new approach.


Thanks,
Bruno Condez



On Fri 18 Dec 2009 12:07:23 Jochen Friedrich wrote:
> severity 561578 normal
> tags 561578 +wontfix
> thanks
> 
> Hi Bruno,
> 
> 
> > When trying to get data from snmpd, i get the following error:
> > 
> > snmpwalk -v 2c -c public 127.0.0.1 system
> > system: Unknown Object Identifier (Sub-id not found: (top) -> system)
> 
> as the identifiers "system" or "interfaces" are defined in non-free MIB files only (See Bug 
> #498475), this is intentional. You could still use the numeric OIDs though (system would be 
> .1.3.6.1.2.1.1). If you need the MIB files for your own scripts, you would have to install the 
> upcoming mib-snmp-downloader package which will probably enter non-free. If any package in Debian 
> needs the MIBs to operate correctly, it will have to leave main in favour of contrib.
> 
> Thanks,
> Jochen
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Fri, 18 Dec 2009 12:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Fri, 18 Dec 2009 12:51:06 GMT) Full text and rfc822 format available.

Message #24 received at 561578@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: Bruno Condez <condez@gmail.com>
Cc: 561578@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#561578: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Fri, 18 Dec 2009 13:42:00 +0100
Hi Bruno,

> I can't see "mib-snmp-downloader" on the ftp archive.
> 
> Do you have a proposed data for when that package will become available?
> Or, is there an unofficial version of that package i can use to get the MIB's?

The package is at http://git.debian.org/?p=collab-maint/snmp-mibs-downloader.git

You need git to download it:

cd /tmp
git clone git://git.debian.org/collab-maint/snmp-mibs-downloader.git
cd snmp-mibs-downloader
dpkg-buildpackage -us -uc
debi

Feel free to test, comment, patch etc.

One change that is planned but not yet committed is that I plan to ship a tar.gz with the RFCs 
needed to create a basic MIB tree. mib-snmp-downloader will then move from contrib to non-free.
Downloading the updated IANA MIBs or any additional vendor MIBs will be optional and nothing will 
be downloaded during configure.

Thanks,
Jochen




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Fri, 18 Dec 2009 15:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bruno Condez <condez@gmail.com>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Fri, 18 Dec 2009 15:00:03 GMT) Full text and rfc822 format available.

Message #29 received at 561578@bugs.debian.org (full text, mbox):

From: Bruno Condez <condez@gmail.com>
To: Jochen Friedrich <jochen@scram.de>
Cc: 561578@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#561578: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Fri, 18 Dec 2009 14:56:45 +0000
Hi Jochen,

I've run the commands you provided and have the packet installed and the mibs downloaded automatically.

(PS: i had to manually install packet "smistrip" which is required by the "/usr/bin/download-mibs" script)


Now, if i run:

snmpwalk -v 2c -c public 127.0.0.1 system
system: Unknown Object Identifier (Sub-id not found: (top) -> system)

Basically i get the same error.



If i add flag "-m ALL", it works but prints some error at the beginning:

snmpwalk -m ALL -v 2c -c public 127.0.0.1 system
Bad operator (INTEGER): At line 73 in /usr/share/mibs/ietf/SNMPv2-PDU          
Undefined OBJECT-GROUP (diffServMIBMultiFieldClfrGroup): At line 2195 in /usr/share/mibs/ietf/IPSEC-SPD-MIB
Undefined OBJECT-GROUP (diffServMultiFieldClfrNextFree): At line 2157 in /usr/share/mibs/ietf/IPSEC-SPD-MIB
Undefined OBJECT-GROUP (diffServMIBMultiFieldClfrGroup): At line 2062 in /usr/share/mibs/ietf/IPSEC-SPD-MIB
Unlinked OID in IPATM-IPMC-MIB: marsMIB ::= { mib-2 57 }
Undefined identifier: mib-2 near line 18 of /usr/share/mibs/ietf/IPATM-IPMC-MIB
Expected "::=" (RFC5644): At line 493 in /usr/share/mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB
Expected "{" (EOF): At line 651 in /usr/share/mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB
Bad object identifier: At line 651 in /usr/share/mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB
Bad parse of OBJECT-IDENTITY: At line 651 in /usr/share/mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB
RFC1213-MIB::sysDescr.0 = STRING: "Linux daedalus 2.6.31-1-686 #1 SMP Sun Nov 15 20:39:33 UTC 2009 i686"
RFC1213-MIB::sysObjectID.0 = OID: NET-SNMP-TC::linux
DISMAN-EVENT-MIB::sysUpTimeInstance = Timeticks: (15958) 0:02:39.58
RFC1213-MIB::sysContact.0 = STRING: "Root <root@localhost> (configure /etc/snmp/snmpd.local.conf)"
RFC1213-MIB::sysName.0 = STRING: "daedalus"
RFC1213-MIB::sysLocation.0 = STRING: "Unknown (configure /etc/snmp/snmpd.local.conf)"
SNMPv2-MIB::sysORLastChange.0 = Timeticks: (4) 0:00:00.04
SNMPv2-MIB::sysORID.1 = OID: SNMP-FRAMEWORK-MIB::snmpFrameworkMIBCompliance
SNMPv2-MIB::sysORID.2 = OID: SNMP-MPD-MIB::snmpMPDCompliance
SNMPv2-MIB::sysORID.3 = OID: SNMP-USER-BASED-SM-MIB::usmMIBCompliance
SNMPv2-MIB::sysORID.4 = OID: SNMPv2-MIB::snmpMIB
SNMPv2-MIB::sysORID.5 = OID: TCP-MIB::tcpMIB
SNMPv2-MIB::sysORID.6 = OID: RFC1213-MIB::ip
SNMPv2-MIB::sysORID.7 = OID: UDP-MIB::udpMIB
SNMPv2-MIB::sysORID.8 = OID: SNMP-VIEW-BASED-ACM-MIB::vacmBasicGroup
SNMPv2-MIB::sysORDescr.1 = STRING: The SNMP Management Architecture MIB.
SNMPv2-MIB::sysORDescr.2 = STRING: The MIB for Message Processing and Dispatching.
SNMPv2-MIB::sysORDescr.3 = STRING: The management information definitions for the SNMP User-based Security Model.
SNMPv2-MIB::sysORDescr.4 = STRING: The MIB module for SNMPv2 entities
SNMPv2-MIB::sysORDescr.5 = STRING: The MIB module for managing TCP implementations
SNMPv2-MIB::sysORDescr.6 = STRING: The MIB module for managing IP and ICMP implementations
SNMPv2-MIB::sysORDescr.7 = STRING: The MIB module for managing UDP implementations
SNMPv2-MIB::sysORDescr.8 = STRING: View-based Access Control Model for SNMP.
SNMPv2-MIB::sysORUpTime.1 = Timeticks: (3) 0:00:00.03
SNMPv2-MIB::sysORUpTime.2 = Timeticks: (3) 0:00:00.03
SNMPv2-MIB::sysORUpTime.3 = Timeticks: (3) 0:00:00.03
SNMPv2-MIB::sysORUpTime.4 = Timeticks: (4) 0:00:00.04
SNMPv2-MIB::sysORUpTime.5 = Timeticks: (4) 0:00:00.04
SNMPv2-MIB::sysORUpTime.6 = Timeticks: (4) 0:00:00.04
SNMPv2-MIB::sysORUpTime.7 = Timeticks: (4) 0:00:00.04
SNMPv2-MIB::sysORUpTime.8 = Timeticks: (4) 0:00:00.04



My two questions, are:

1) Why do i need to add "-m ALL" for snmpwalk to work? This flag wasn't needed before.

2) Where are those errors coming from?



Thanks,
Bruno Condez



On Fri 18 Dec 2009 12:42:00 Jochen Friedrich wrote:
> Hi Bruno,
> 
> > I can't see "mib-snmp-downloader" on the ftp archive.
> > 
> > Do you have a proposed data for when that package will become available?
> > Or, is there an unofficial version of that package i can use to get the MIB's?
> 
> The package is at http://git.debian.org/?p=collab-maint/snmp-mibs-downloader.git
> 
> You need git to download it:
> 
> cd /tmp
> git clone git://git.debian.org/collab-maint/snmp-mibs-downloader.git
> cd snmp-mibs-downloader
> dpkg-buildpackage -us -uc
> debi
> 
> Feel free to test, comment, patch etc.
> 
> One change that is planned but not yet committed is that I plan to ship a tar.gz with the RFCs 
> needed to create a basic MIB tree. mib-snmp-downloader will then move from contrib to non-free.
> Downloading the updated IANA MIBs or any additional vendor MIBs will be optional and nothing will 
> be downloaded during configure.
> 
> Thanks,
> Jochen
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Fri, 18 Dec 2009 17:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Fri, 18 Dec 2009 17:48:03 GMT) Full text and rfc822 format available.

Message #34 received at 561578@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: Bruno Condez <condez@gmail.com>
Cc: 561578@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#561578: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Fri, 18 Dec 2009 18:40:42 +0100
Hi Bruno,

> I've run the commands you provided and have the packet installed and the mibs downloaded automatically.
> 
> (PS: i had to manually install packet "smistrip" which is required by the "/usr/bin/download-mibs" script)
> 
> 
> Now, if i run:
> 
> snmpwalk -v 2c -c public 127.0.0.1 system
> system: Unknown Object Identifier (Sub-id not found: (top) -> system)
> 
> Basically i get the same error.


Please hav a look at /etc/snmp/snmp.conf and remove the line "mibs :".

Thanks,
Jochen




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Mon, 21 Dec 2009 10:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bruno Condez <condez@gmail.com>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Mon, 21 Dec 2009 10:03:12 GMT) Full text and rfc822 format available.

Message #39 received at 561578@bugs.debian.org (full text, mbox):

From: Bruno Condez <condez@gmail.com>
To: Jochen Friedrich <jochen@scram.de>
Cc: 561578@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#561578: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Mon, 21 Dec 2009 10:00:28 +0000
Hi Jochen,

That did fix the issue with naming translation.
snmpwalk works just fine now.


When i restart snmpd, i still get these errors though:

Dec 21 09:23:29 daedalus snmpd[14811]: Received TERM or STOP signal...  shutting down...
Dec 21 09:23:33 daedalus snmpd[13871]: Bad operator (INTEGER): At line 73 in /usr/share/mibs/ietf/SNMPv2-PDU
Dec 21 09:23:35 daedalus snmpd[13871]: Undefined OBJECT-GROUP (diffServMIBMultiFieldClfrGroup): At line 2195 in /usr/share/mibs/ietf/IPSEC-SPD-MIB
Dec 21 09:23:35 daedalus snmpd[13871]: Undefined OBJECT-GROUP (diffServMultiFieldClfrNextFree): At line 2157 in /usr/share/mibs/ietf/IPSEC-SPD-MIB
Dec 21 09:23:35 daedalus snmpd[13871]: Undefined OBJECT-GROUP (diffServMIBMultiFieldClfrGroup): At line 2062 in /usr/share/mibs/ietf/IPSEC-SPD-MIB
Dec 21 09:23:36 daedalus snmpd[13871]: Unlinked OID in IPATM-IPMC-MIB: marsMIB ::= { mib-2 57 }
Dec 21 09:23:36 daedalus snmpd[13871]: Undefined identifier: mib-2 near line 18 of /usr/share/mibs/ietf/IPATM-IPMC-MIB
Dec 21 09:23:37 daedalus snmpd[13871]: Expected "::=" (RFC5644): At line 493 in /usr/share/mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB
Dec 21 09:23:37 daedalus snmpd[13871]: Expected "{" (EOF): At line 651 in /usr/share/mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB
Dec 21 09:23:37 daedalus snmpd[13871]: Bad object identifier: At line 651 in /usr/share/mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB
Dec 21 09:23:37 daedalus snmpd[13871]: Bad parse of OBJECT-IDENTITY: At line 651 in /usr/share/mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB
Dec 21 09:23:37 daedalus snmpd[13871]: NET-SNMP version 5.4.2.1

Doesn't seem to be impacting anything (at least with my usage).


Thanks for your help on this.


Bruno Condez



On Fri 18 Dec 2009 17:40:42 Jochen Friedrich wrote:
> Hi Bruno,
> 
> > I've run the commands you provided and have the packet installed and the mibs downloaded automatically.
> > 
> > (PS: i had to manually install packet "smistrip" which is required by the "/usr/bin/download-mibs" script)
> > 
> > 
> > Now, if i run:
> > 
> > snmpwalk -v 2c -c public 127.0.0.1 system
> > system: Unknown Object Identifier (Sub-id not found: (top) -> system)
> > 
> > Basically i get the same error.
> 
> 
> Please hav a look at /etc/snmp/snmp.conf and remove the line "mibs :".
> 
> Thanks,
> Jochen
> 




Forcibly Merged 561578 581007. Request was from Jochen Friedrich <jochen@scram.de> to control@bugs.debian.org. (Mon, 10 May 2010 15:33:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Sun, 18 Jul 2010 15:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Sun, 18 Jul 2010 15:18:02 GMT) Full text and rfc822 format available.

Message #46 received at 561578@bugs.debian.org (full text, mbox):

From: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
To: 561578@bugs.debian.org
Subject: "mibs :" line in /etc/snmp/snmp.conf
Date: Sun, 18 Jul 2010 16:52:16 +0200 (CEST)
How about making that a configurable feature?
Per default:

	libsnmp15/use_mibs: false

and possibly reconfigured when installing snmp-mibs-downloader.


Cheers,

-- 
Cristian




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Wed, 25 Aug 2010 08:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Wed, 25 Aug 2010 08:48:04 GMT) Full text and rfc822 format available.

Message #51 received at 561578@bugs.debian.org (full text, mbox):

From: "Raoul Bhatia [IPAX]" <r.bhatia@ipax.at>
To: 561578@bugs.debian.org
Subject: status of this issue
Date: Wed, 25 Aug 2010 10:44:44 +0200
hi,

may i kindly ask about the status of this issue?

thanks,
raoul
-- 
____________________________________________________________________
DI (FH) Raoul Bhatia M.Sc.          email.          r.bhatia@ipax.at
Technischer Leiter

IPAX - Aloy Bhatia Hava OG          web.          http://www.ipax.at
Barawitzkagasse 10/2/2/11           email.            office@ipax.at
1190 Wien                           tel.               +43 1 3670030
FN 277995t HG Wien                  fax.            +43 1 3670030 15
____________________________________________________________________




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Wed, 05 Jan 2011 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luis Mondesi <lemsx1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Wed, 05 Jan 2011 18:30:03 GMT) Full text and rfc822 format available.

Message #56 received at 561578@bugs.debian.org (full text, mbox):

From: Luis Mondesi <lemsx1@gmail.com>
To: 561578@bugs.debian.org
Subject: please make this configurable as suggested
Date: Wed, 5 Jan 2011 13:28:08 -0500
[Message part 1 (text/plain, inline)]
I spent some time on this only to find out that you had to comment
/etc/snmp/snmp.conf "mib: "

Making this configurable would bring awareness to the user.

-- 
----)(-----
Luis Mondesi
Maestro Debiano

----- START ENCRYPTED BLOCK (Triple-ROT13) ------
Gur Hohagh [Yvahk] qvfgevohgvba oevatf gur fcvevg bs Hohagh gb gur fbsgjner
jbeyq.
----- END ENCRYPTED BLOCK (Triple-ROT13) ------
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Wed, 25 Apr 2012 13:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brendan Byrd <sineswiper@gmail.com>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Wed, 25 Apr 2012 13:48:03 GMT) Full text and rfc822 format available.

Message #61 received at 561578@bugs.debian.org (full text, mbox):

From: Brendan Byrd <sineswiper@gmail.com>
To: 561578@bugs.debian.org
Subject: RE: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Wed, 25 Apr 2012 09:44:28 -0400
severity 561578 grave
tags 561578 - wontfix
tags 561578 + wheezy sid
found 561578 squeeze
found 561578 wheezy
found 561578 sid
thanks

* A tag of wontfix is unacceptable within this bug.  Please do not add
this in again.
* A severity below serious is unacceptable within this bug.  Please do
not change the severity of this bug.
* Not fixing this problem is unacceptable.  This problem needs to be
fixed prior to the release of a new stable and should be backported to
squeeze.

This issue makes the package unusable because it is missing basic
system MIBs.  A solution of "you can use the numeric OIDs" is
unacceptable because it is not the base functionality of the product
to use only numeric OIDs.  Furthermore, the product "out-of-the-box"
spits out hundreds of error messages when used with "snmpwalk -m ALL".

The whole IETF copyright argument is pure bullshit.  RFC3418 is
copyright The Internet Society with full rights to copy the document,
provided the document is not changed, except for the purposes of
creating new standards.  This follows the spirit (if not the letter)
of DFSG #4, Integrity of The Author's Source Code.  The IETF cannot
allow any moron to change the _STANDARDS OF THE INTERNET_ to whatever
the hell they want without the proper process to do so, hence the
"Internet Standards process procedures" clause within the copyright.
If you have a problem with this process, then you can take your
Apache, Exim, Postfix, Firefox, FTP clients, and all other
Internet-based tools based on IETF RFC standards, and throw them in
the fucking garbage.

The same copyright applies to RFCs: 2578, 2579, 2580.  RFCs 1213 &
1907 are covered under the phrase "Distribution of this memo is
unlimited." and http://trustee.ietf.org/24.html.

Please fix this ASAP.

-- 
Brendan Byrd/SineSwiper <SineSwiper@GMail.com>




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Wed, 25 Apr 2012 14:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Wed, 25 Apr 2012 14:06:03 GMT) Full text and rfc822 format available.

Message #66 received at 561578@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: Brendan Byrd <sineswiper@gmail.com>, 561578@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#561578: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Wed, 25 Apr 2012 15:55:30 +0200
tags 561578 +wontfix
thanks

Hi Brendan,

> The whole IETF copyright argument is pure bullshit.  RFC3418 is
> copyright The Internet Society with full rights to copy the document,
> provided the document is not changed, except for the purposes of
> creating new standards.  This follows the spirit (if not the letter)
> of DFSG #4, Integrity of The Author's Source Code.  The IETF cannot
> allow any moron to change the _STANDARDS OF THE INTERNET_ to whatever
> the hell they want without the proper process to do so, hence the
> "Internet Standards process procedures" clause within the copyright.
> If you have a problem with this process, then you can take your
> Apache, Exim, Postfix, Firefox, FTP clients, and all other
> Internet-based tools based on IETF RFC standards, and throw them in
> the fucking garbage.

please take this discussion to debian-legal, not here.

> Please fix this ASAP.

Nope. Any "fix" would be rejected by the ftp masters, anyways, so 
there's no point to discuss this here. See 
http://wiki.debian.org/NonFreeIETFDocuments.

Thanks,
Jochen




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Wed, 25 Apr 2012 17:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brendan Byrd <sineswiper@gmail.com>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Wed, 25 Apr 2012 17:15:02 GMT) Full text and rfc822 format available.

Message #71 received at 561578@bugs.debian.org (full text, mbox):

From: Brendan Byrd <sineswiper@gmail.com>
To: 561578@bugs.debian.org
Cc: control@bugs.debian.org
Subject: RE: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Wed, 25 Apr 2012 13:12:14 -0400
severity 561578 grave
tags 561578 - wontfix
tags 561578 + wheezy sid
found 561578 squeeze
found 561578 wheezy
found 561578 sid
thanks

No.  Sorry.  Unacceptable.  This bug remains open until the problem is fixed.

You are basically telling the Debian community that basic MIBs which
serve as the cornerstone for the SNMPv2 standard are somehow illegal
to use because of line breaks?!  That line of legal interpretation is
borderline insanity... at best.  The MIBs were designed to be put into
a parsable form for SNMP tools to be able to read them in the SNMP
syntax language they were designed for.  (Never has there been a
clearer definition of "fair use" than this.)  Every single other OS or
SNMP-based tool has no problem distributing these MIBs except Debian.

And if you're still hard up on the legal language, has anybody
bothered, I dunno, asking IETF or the MIB authors?  I'm sure they
would have no problem with Debian using the syntactically-correct MIBs
for SNMPv2 to use for their tools.  You can then paste the approval on
that NonFreeIETF wiki of yours.

-- 
Brendan Byrd/SineSwiper <SineSwiper@GMail.com>




Severity set to 'grave' from 'normal' Request was from Brendan Byrd <sineswiper@gmail.com> to control@bugs.debian.org. (Wed, 25 Apr 2012 17:15:06 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Brendan Byrd <sineswiper@gmail.com> to control@bugs.debian.org. (Wed, 25 Apr 2012 17:15:06 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Brendan Byrd <sineswiper@gmail.com> to control@bugs.debian.org. (Wed, 25 Apr 2012 17:15:07 GMT) Full text and rfc822 format available.

Marked as found in versions squeeze. Request was from Brendan Byrd <sineswiper@gmail.com> to control@bugs.debian.org. (Wed, 25 Apr 2012 17:15:08 GMT) Full text and rfc822 format available.

Marked as found in versions wheezy. Request was from Brendan Byrd <sineswiper@gmail.com> to control@bugs.debian.org. (Wed, 25 Apr 2012 17:15:09 GMT) Full text and rfc822 format available.

Marked as found in versions sid. Request was from Brendan Byrd <sineswiper@gmail.com> to control@bugs.debian.org. (Wed, 25 Apr 2012 17:15:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Wed, 25 Apr 2012 19:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Friedrich <jochen@scram.de>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Wed, 25 Apr 2012 19:57:02 GMT) Full text and rfc822 format available.

Message #88 received at 561578@bugs.debian.org (full text, mbox):

From: Jochen Friedrich <jochen@scram.de>
To: Brendan Byrd <sineswiper@gmail.com>, 561578@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#561578: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Wed, 25 Apr 2012 21:53:21 +0200
tags 561578 +wontfix
thanks

As i explained, please take this to debian-legal. As long as the consensus of the Debian legal Team considers RFCs and MIBs non-free, there's not much i can do regarding this bug. 

Thanks, Jochen

Added tag(s) wontfix. Request was from Jochen Friedrich <jochen@scram.de> to control@bugs.debian.org. (Wed, 25 Apr 2012 19:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Thu, 26 Apr 2012 11:30:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brendan Byrd <sineswiper@gmail.com>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Thu, 26 Apr 2012 11:30:36 GMT) Full text and rfc822 format available.

Message #95 received at 561578@bugs.debian.org (full text, mbox):

From: Brendan Byrd <sineswiper@gmail.com>
To: 561578@bugs.debian.org, Jochen Friedrich <jochen@scram.de>
Subject: Re: [Pkg-net-snmp-devel] Bug#561578: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Thu, 26 Apr 2012 07:27:34 -0400
On Wed, Apr 25, 2012 at 3:53 PM, Jochen Friedrich <jochen@scram.de> wrote:
>
> As i explained, please take this to debian-legal. As long as the consensus of the Debian legal Team considers RFCs and MIBs non-free, there's not much i can do regarding this bug.
>

Why don't you take it to debian-legal?  It's not my module that's broke here.

How would YOU feel if somebody took Firefox's DNS caching code,
butchered it to hell so that domain resolution wouldn't work, and
replied back on the obvious bug with:

Subject: Re: Firefox cannot access www.google.com or any other domain

severity 712345 normal
tags 712345 +wontfix
thanks

Hi John,

> When trying to access www.google.com, I get the following error:
>
> Firefox can't find the server at www.google.com

As we currently have legal issues with the way ROOT-SERVERS.ORG serves DNS
resolution and all domain-related services are now packaged as
non-free only (See Bug
#108933), this is intentional.  You could still use the IP addresses though
(www.google.com would be 173.194.68.104).  If you need DNS resolution
for your own
browsing, you would have to install the totally unlinked and
never-to-be-marked-as-a-dependency
dns-resolution package under non-free.  If any package in Debian needs
DNS resolution
to operate correctly, it will have to leave main in favour of contrib.

?

Again, this isn't my bug to fix, but it has to be fixed.  Go talk to
your legal team and come back with an answer that doesn't sound like
gibberish from a bunch of dipshit monkeys that shove rusty nails into
the logic centers of their brains.  (Giving the middle finger to the
guys that create the frelling Internet?  Wow, man, that takes some
balls there.)

-- 
Brendan Byrd/SineSwiper <SineSwiper@GMail.com>




Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Thu, 26 Apr 2012 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Thu, 26 Apr 2012 21:03:03 GMT) Full text and rfc822 format available.

Message #100 received at 561578@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 561578@bugs.debian.org
Cc: Debian Bug Tracking System E-Mail Control Server <control@bugs.debian.org>
Subject: Re: Bug#561578: system: Unknown Object Identifier (Sub-id not found: (top) -> system)
Date: Thu, 26 Apr 2012 23:01:49 +0200
severity 561578 normal
notfound 561578 squeeze
notfound 561578 wheezy
notfound 561578 sid
kthxbye

Brendan Byrd wrote:
> severity 561578 grave
> tags 561578 - wontfix
> tags 561578 + wheezy sid
[...]
> No.  Sorry.  Unacceptable.

The final decision about bug severities has the package maintainer
(and in some cases the release team or ctte). So you have either
accept his decision or stand up and actually help him to fix that
issue instead of just insulting him (which surely doesn't help at all,
more to the contrary).

So if the package maintainer says, this is of severity normal and
won't get fixed, it is of severity normal and won't get fixed.

In contrary: It would be likely a issue of the severity "serious" to
fix this bug due to license issues; c.f. the Debian Free Software
Guidelines.

If anyone thinks that is not the case, then that person (and not the
package maintainer as he already made up his mind) should take action
and discuss that with the Debian legal team. Be reminded that Debian
is a do-ocracy and entirely made up of volunteers.

> found 561578 squeeze
> found 561578 wheezy
> found 561578 sid

Please learn what these statements mean before using them.

> This bug remains open until the problem is fixed.

Tagging a bug as wontfix doesn't close it. It remains open forever,
but with a note that it will not get fixed.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Severity set to 'normal' from 'grave' Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 26 Apr 2012 21:03:11 GMT) Full text and rfc822 format available.

No longer marked as found in versions squeeze. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 26 Apr 2012 21:03:12 GMT) Full text and rfc822 format available.

No longer marked as found in versions wheezy. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 26 Apr 2012 21:03:13 GMT) Full text and rfc822 format available.

No longer marked as found in versions sid. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Thu, 26 Apr 2012 21:03:14 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:39:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Mon, 17 Feb 2014 21:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco <marcodefreitas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Mon, 17 Feb 2014 21:42:04 GMT) Full text and rfc822 format available.

Message #115 received at 561578@bugs.debian.org (full text, mbox):

From: Marco <marcodefreitas@gmail.com>
To: 561578@bugs.debian.org
Subject: RFC Copyrights change?
Date: Mon, 17 Feb 2014 18:39:25 -0300
[Message part 1 (text/plain, inline)]
Did the copyright statements changed circa 2007?

ftp://ftp.rfc-editor.org/in-notes/rfc-editor/copyright.txt
-- 
Marco de Freitas

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>:
Bug#561578; Package libsnmp-base. (Mon, 24 Feb 2014 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>. (Mon, 24 Feb 2014 14:45:04 GMT) Full text and rfc822 format available.

Message #120 received at 561578@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Marco <marcodefreitas@gmail.com>, 561578@bugs.debian.org
Subject: Re: [Pkg-net-snmp-devel] Bug#561578: RFC Copyrights change?
Date: Mon, 24 Feb 2014 23:40:01 +0900
On Mon, 17 Feb 2014 18:39:25 -0300
Marco <marcodefreitas@gmail.com> wrote:
> Did the copyright statements changed circa 2007?
> 
> ftp://ftp.rfc-editor.org/in-notes/rfc-editor/copyright.txt

 It is old one, update it as RFC5378 and also applied in 5.7.2~dfsg-1~0.1 
 as debian/patches/after_RFC5378

 see http://www.rfc-editor.org/copyright.html

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:46:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.